import request from '@/utils/request'

// 查询材料管理列表
export function listClMaterial(query) {
  return request({
    url: '/clMaterial/clMaterial/list',
    method: 'get',
    params: query
  })
}

// 查询材料管理详细
export function getClMaterial(materialId) {
  return request({
    url: '/clMaterial/clMaterial/' + materialId,
    method: 'get'
  })
}

// 新增材料管理
export function addClMaterial(data) {
  return request({
    url: '/clMaterial/clMaterial',
    method: 'post',
    data: data
  })
}

// 修改材料管理
export function updateClMaterial(data) {
  return request({
    url: '/clMaterial/clMaterial',
    method: 'put',
    data: data
  })
}

// 删除材料管理
export function delClMaterial(materialId) {
  return request({
    url: '/clMaterial/clMaterial/' + materialId,
    method: 'delete'
  })
}

//同步更细报价实时价格
export function synchronizeUpdate() {
  return request({
    url: '/clMaterial/clMaterial/synchronizeUpdate',
    method: 'post'
  })
}
